do
   local MyUnitIdTable = {
--SERAPHIMS      
	  'xso0101',  
	  'xso2001',
	  'xso1101',
--FTU	  
	  'ueo1101',
	  'ueo1103',
	  'ueo1102',
	  'ueo0105',
	  'ueb0401',
	  'uob2101',
	  'ueo0101',
--CYBRANS	  
	  'uro0101',
	  'uro1101',
	  'uro1102',
	  'uro2109',
	  'uro2001',
	  'uro1103',
	  'urb0401',
--AEONS	  
	  'uao01101',
	  'uao0101',
	  'uao1102',
	  'uao1103',
	  'uab0401',
	  'uao2109',
	  'uao2001',
	  'uao2001',
   }

   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end!
   local MyIconPath = "/Mods/modtestmagic"
   local oldUIFile = UIFile
   function UIFile(filespec)
      for i, v in MyUnitIdTable do
         if string.find(filespec, v .. '_icon') then
            local curfile =  MyIconPath .. filespec
            if DiskGetFileInfo(curfile) then
               return curfile
            else
               WARN('Blueprint icon for unit '.. control.Data.id ..' could not be found, check your file path and icon names!')
            end
         end
      end
      return oldUIFile(filespec)
   end
end 